/*Eigene Ergänzungen*/
/**********************************************************************************************************************/

/*ALERTS*/
/*--------------------------------------------------------------------------------------------------------------------*/
/*.alert {*/
/*	--ar-alert-bg: transparent;*/
/*	--ar-alert-padding-x: 1rem;*/
/*	--ar-alert-padding-y: 1rem;*/
/*	--ar-alert-margin-bottom: 1rem;*/
/*	--ar-alert-color: inherit;*/
/*	--ar-alert-border-color: transparent;*/
/*	--ar-alert-border: var(--ar-border-width) solid var(--ar-alert-border-color);*/
/*	--ar-alert-border-radius: var(--ar-border-radius-lg);*/
/*	--ar-alert-link-color: inherit;*/
/*	position: relative;*/
/*	padding: var(--ar-alert-padding-y) var(--ar-alert-padding-x);*/
/*	margin-bottom: var(--ar-alert-margin-bottom);*/
/*	color: var(--ar-alert-color);*/
/*	background-color: var(--ar-alert-bg);*/
/*	border: var(--ar-alert-border);*/
/*	border-radius: var(--ar-alert-border-radius);*/
/*}*/


.alert-primary {
  	--ar-alert-color: #002f54;
	--ar-alert-bg: rgba(0,47,84, 30%);
	--ar-alert-border-color: #002f54;
	--ar-alert-link-color: #002f54;
}
.alert-secondary {
	--ar-alert-color: #002f54;
	--ar-alert-bg: rgba(232,225,0, 30%);
	--ar-alert-border-color: #e8e100;
	--ar-alert-link-color: #002f54;
}
.alert-success {
	--ar-alert-color: #002f54;
	--ar-alert-bg: rgba(0,47,84, 30%);
	--ar-alert-border-color: #002f54;
	--ar-alert-link-color: #002f54;
}
.alert-info {
	--ar-alert-color: #002f54;
	--ar-alert-bg: rgba(0,105,180, 30%);
	--ar-alert-border-color: #0069b4;
	--ar-alert-link-color: #002f54;
}
.alert-warning {
  	--ar-alert-color: #002f54;
	--ar-alert-bg: rgba(232,225,0, 30%);
	--ar-alert-border-color: #e8e100;
	--ar-alert-link-color: #002f54;
}
.alert-danger {
	--ar-alert-color: #002f54;
	--ar-alert-bg: rgba(237,80,80, 30%);
	--ar-alert-border-color: #ed5050;
	--ar-alert-link-color: #002f54;
}
.alert-light {
  --ar-alert-color: #002f54;
  --ar-alert-bg: rgba(255,255,255, 30%);
  --ar-alert-border-color: #ffffff;
  --ar-alert-link-color: #002f54;
}
.alert-dark {
  --ar-alert-color: #002f54;
  --ar-alert-bg: rgba(18,21,25, 30%);
  --ar-alert-border-color: #121519;
  --ar-alert-link-color: #002f54;
}



/*BACKGROUND*/
/*--------------------------------------------------------------------------------------------------------------------*/
body {
	background-color: #ffffff;
}


/*BORDER*/
/*--------------------------------------------------------------------------------------------------------------------*/
/*dunkel (#ffde80)*/
/*.border-inka1 {*/
/*	--ar-bg-opacity: 1;*/
/*	border-color: rgba(255, 222, 128, var(--ar-bg-opacity)) !important;*/
/*}*/
/*!*hell (#fff2cc)*!*/
/*.border-inka2 {*/
/*	--ar-bg-opacity: 1;*/
/*	border-color: rgba(255, 242, 204, var(--ar-bg-opacity)) !important;*/
/*}*/



/*BUTTONS*/
/*--------------------------------------------------------------------------------------------------------------------*/
.btn-primary {
  --ar-btn-color: #fff;
  --ar-btn-bg: #002f54;
  --ar-btn-border-color: #002f54;
  --ar-btn-hover-color: #fff;
  --ar-btn-hover-bg: #0069b4;
  --ar-btn-hover-border-color: #0069b4;
  --ar-btn-focus-shadow-rgb: 100, 168, 121;
  --ar-btn-active-color: #fff;
  --ar-btn-active-bg: #0069b4;
  --ar-btn-active-border-color: #0069b4;
  --ar-btn-active-shadow: unset;
  --ar-btn-disabled-color: #fff;
  --ar-btn-disabled-bg: #002f54;
  --ar-btn-disabled-border-color: #002f54;
}



/*CARDS*/
/*--------------------------------------------------------------------------------------------------------------------*/
.card-hover-border-primary {
	transition: border-color 0.3s ease-in-out;
}
.card-hover-border-primary .card-title,
.card-hover-border-primary .card-text {
	transition: color 0.25s ease-in-out;
}
.card-hover-border-primary:hover {
	--ar-heading-color: var(--ar-heading-color);
	--ar-body-color: var(--ar-body-color);
	background-color: var(--ar-white-rgb) !important;
	border-color: #002f54 !important;
}
.card-hover-border-primary:hover .card-title {
	color: var(--ar-heading-color);
}



/*CONTAINER*/
/*--------------------------------------------------------------------------------------------------------------------*/
.container {
	background-color: #ffffff;
}



/*MODAL*/
/*--------------------------------------------------------------------------------------------------------------------*/
.modal-footer {
	flex-wrap: wrap;
	align-items: start;
	justify-content: flex-start;
}



/*NAVIGATION*/
/*--------------------------------------------------------------------------------------------------------------------*/
.nav-link {
	font-size: 1.1em !important;
	color: #ffffff;
}
.nav-link:hover, .nav-link:focus {
	font-size: 1.1em !important;
	color: #ffffff !important;
}
.nav-link:focus-visible {
	outline: 0;
	box-shadow: 0 0 0 0.25rem rgba(140, 140, 140, 0.25);
}

.nav-link.disabled, .nav-link:disabled {
  color: #858c97;
  pointer-events: none;
  cursor: default;
}

.navbar-nav .dropdown-menu {
	color: #0069b4 !important;
	background-color: #ffffff !important;
}

.navbar-nav .dropdown-menu .dropdown-item {
	color: #002f54 !important;
}

.navbar-nav .dropdown-menu .dropdown-item:hover {
	color: #0069b4 !important;
}

.navbar-toggler-icon, .navbar-toggler-icon::before, .navbar-toggler-icon::after {
	background-color: #ffffff !important;
}


/*OFFCANVAS*/
/*--------------------------------------------------------------------------------------------------------------------*/
.offcanvas-backdrop {
	background-color: #000;
}
.offcanvas-backdrop.fade {
	opacity: 0;
}
.offcanvas-backdrop.show {
	opacity: 0;
}

.offcanvas-top {
	opacity: 0;
	pointer-events: none;
	transform: translateY(-100%);
	transition: all 0.2s ease;
}
.offcanvas-top.show {
	opacity: 1;
	pointer-events: all;
	transform: translateY(0);
}
.offcanvas-top:not(.show) {
	opacity: 0;
	pointer-events: all;
	transform: translateY(0);
}
.offcanvas, .offcanvas-xxl, .offcanvas-xl, .offcanvas-lg, .offcanvas-md, .offcanvas-sm {
	--ar-offcanvas-height: 40vh;
}



/*POPOVER*/
/*--------------------------------------------------------------------------------------------------------------------*/
.popover {
	--ar-popover-max-width: 600px;
}



/*SWIPER*/
/*--------------------------------------------------------------------------------------------------------------------*/
.swiper-pagination-bullet {
	background-color: #fff;
	border-color: #fff;
	opacity: 0.35;
	transition: border-color .2s ease-in-out,background-color .2s ease-in-out;
}

.swiper-pagination-bullet-active {
	background-color: #fff;
	border-color: #fff;
	opacity: 1;
}

.swiper-button-prev, .swiper-button-next {
	color: #002f54;
	/*text-shadow: 1px 1px 5px #858c97;*/
}

.swiper-slide{
	height: auto;
}



/**********************************************************************************************************************/



/*SONSTIGES*/
/*--------------------------------------------------------------------------------------------------------------------*/
a {
	color: #000000;
	text-decoration: none;
}
a:hover {
	color: #0069b4;
	text-decoration: none;
}


.row-cols-7 > * {
	flex: 0 0 auto;
	width: 14.285714%;
}
.row-cols-8 > * {
	flex: 0 0 auto;
	width: 12.5%;
}
.row-cols-9 > * {
	flex: 0 0 auto;
	width: 11.111111%;
}
.row-cols-10 > * {
	flex: 0 0 auto;
	width: 10%;
}
.row-cols-11 > * {
	flex: 0 0 auto;
	width: 9.090909%;
}
.row-cols-12 > * {
	flex: 0 0 auto;
	width: 8.333333%;
}

@media (min-width: 576px) {
	.row-cols-sm-7 > * {
		flex: 0 0 auto;
		width: 14.285714%;
	}
	.row-cols-sm-8 > * {
		flex: 0 0 auto;
		width: 12.5%;
	}
	.row-cols-sm-9 > * {
		flex: 0 0 auto;
		width: 11.111111%;
	}
	.row-cols-sm-10 > * {
		flex: 0 0 auto;
		width: 10%;
	}
	.row-cols-sm-11 > * {
		flex: 0 0 auto;
		width: 9.090909%;
	}
	.row-cols-sm-12 > * {
		flex: 0 0 auto;
		width: 8.333333%;
	}
}

@media (min-width: 768px) {
	.row-cols-md-7 > * {
		flex: 0 0 auto;
		width: 14.285714%;
	}
	.row-cols-md-8 > * {
		flex: 0 0 auto;
		width: 12.5%;
	}
	.row-cols-md-9 > * {
		flex: 0 0 auto;
		width: 11.111111%;
	}
	.row-cols-md-10 > * {
		flex: 0 0 auto;
		width: 10%;
	}
	.row-cols-md-11 > * {
		flex: 0 0 auto;
		width: 9.090909%;
	}
	.row-cols-md-12 > * {
		flex: 0 0 auto;
		width: 8.333333%;
	}
}

@media (min-width: 992px) {
	.row-cols-lg-7 > * {
		flex: 0 0 auto;
		width: 14.285714%;
	}
	.row-cols-lg-8 > * {
		flex: 0 0 auto;
		width: 12.5%;
	}
	.row-cols-lg-9 > * {
		flex: 0 0 auto;
		width: 11.111111%;
	}
	.row-cols-lg-10 > * {
		flex: 0 0 auto;
		width: 10%;
	}
	.row-cols-lg-11 > * {
		flex: 0 0 auto;
		width: 9.090909%;
	}
	.row-cols-lg-12 > * {
		flex: 0 0 auto;
		width: 8.333333%;
	}
}

@media (min-width: 1200px) {
	.row-cols-xl-7 > * {
		flex: 0 0 auto;
		width: 14.285714%;
	}
	.row-cols-xl-8 > * {
		flex: 0 0 auto;
		width: 12.5%;
	}
	.row-cols-xl-9 > * {
		flex: 0 0 auto;
		width: 11.111111%;
	}
	.row-cols-xl-10 > * {
		flex: 0 0 auto;
		width: 10%;
	}
	.row-cols-xl-11 > * {
		flex: 0 0 auto;
		width: 9.090909%;
	}
	.row-cols-xl-12 > * {
		flex: 0 0 auto;
		width: 8.333333%;
	}
}

.bg-white {
	background-color: #fff !important;
}
.bg-black {
	background-color: #000 !important;
}

.hero-height {
	min-height: 60vh !important;
	max-height: 700px !important;
}

.toggler-margin {
	margin-left: 120px;
}
@media (min-width: 992px) {
	.toggler-margin {
		margin-left: 0px;
	}
}

.textshadow {
	text-shadow: 5px 5px 8px #000000 !important;
}

.was-validated .form-control:invalid, .form-control.is-invalid {
	border-color: #0069b4;
	background-image: none;
}
.was-validated .form-control:valid, .form-control.is-valid {
	border-color: var(--ar-border-width) solid var(--ar-gray-400);
	background-image: none;
}

.was-validated .form-select:invalid, .form-select.is-invalid {
	border-color: #0069b4;
	background-image: none;
}
.was-validated .form-select:valid, .form-select.is-valid {
	border-color: var(--ar-border-width) solid var(--ar-gray-400);
	background-image: none;
}